Page MenuHomePhabricator

Write and send release announcements for MediaWiki 1.31.4/1.32.4/1.33.1
Closed, ResolvedPublic

Description

Previous T205042

I would like to announce the release of MediaWiki 1.33.1, 1.32.4 and 1.31.4!

In a change to normal proceedings, the security patches are already merged to
the various branches. This was due to the low severity of the patches. This is
therefore the reason no pre-release announcement was sent.

It is noted that these patches are fairly large in comparison to normal, this is
due to the splitting of some schema change patches from a single file to
multiple files to attempt to mitigate some migration issues identified in
T227662.

This release also serves as a maintenance release for these branches.

== Security fixes ==
* (T230402, CVE-2019-16738) SECURITY: Add permission check for suppressed
  account to Special:Redirect.

== Links to all mentioned tasks ==
* https://phabricator.wikimedia.org/T230402
* https://phabricator.wikimedia.org/T227662

== Release notes ==

Full release notes for 1.31.4:
https://phabricator.wikimedia.org/diffusion/MW/browse/REL1_31/RELEASE-NOTES-1.31
https://www.mediawiki.org/wiki/Release_notes/1.31

Full release notes for 1.32.4:
https://phabricator.wikimedia.org/diffusion/MW/browse/REL1_32/RELEASE-NOTES-1.32
https://www.mediawiki.org/wiki/Release_notes/1.32

Full release notes for 1.33.1:
https://phabricator.wikimedia.org/diffusion/MW/browse/REL1_33/RELEASE-NOTES-1.33
https://www.mediawiki.org/wiki/Release_notes/1.33

For information about how to upgrade, see
<https://www.mediawiki.org/wiki/Manual:Upgrading>

**********************************************************************
Download:
https://releases.wikimedia.org/mediawiki/1.31/mediawiki-1.31.4.tar.gz

Download without bundled extensions:
https://releases.wikimedia.org/mediawiki/1.31/mediawiki-core-1.31.4.tar.gz

Patch to previous version (1.31.3):
https://releases.wikimedia.org/mediawiki/1.31/mediawiki-1.31.4.patch.gz

GPG signatures:
https://releases.wikimedia.org/mediawiki/1.31/mediawiki-core-1.31.4.tar.gz.sig
https://releases.wikimedia.org/mediawiki/1.31/mediawiki-1.31.4.tar.gz.sig
https://releases.wikimedia.org/mediawiki/1.31/mediawiki-1.31.4.patch.gz.sig

Public keys:
https://www.mediawiki.org/keys/keys.html

**********************************************************************
Download:
https://releases.wikimedia.org/mediawiki/1.32/mediawiki-1.32.4.tar.gz

Download without bundled extensions:
https://releases.wikimedia.org/mediawiki/1.32/mediawiki-core-1.32.4.tar.gz

Patch to previous version (1.32.3):
https://releases.wikimedia.org/mediawiki/1.32/mediawiki-1.32.4.patch.gz

GPG signatures:
https://releases.wikimedia.org/mediawiki/1.32/mediawiki-core-1.32.4.tar.gz.sig
https://releases.wikimedia.org/mediawiki/1.32/mediawiki-1.32.4.tar.gz.sig
https://releases.wikimedia.org/mediawiki/1.32/mediawiki-1.32.4.patch.gz.sig

Public keys:
https://www.mediawiki.org/keys/keys.html

**********************************************************************
Download:
https://releases.wikimedia.org/mediawiki/1.33/mediawiki-1.33.1.tar.gz

Download without bundled extensions:
https://releases.wikimedia.org/mediawiki/1.33/mediawiki-core-1.33.1.tar.gz

Patch to previous version (1.33.0):
https://releases.wikimedia.org/mediawiki/1.33/mediawiki-1.33.1.patch.gz

GPG signatures:
https://releases.wikimedia.org/mediawiki/1.33/mediawiki-core-1.33.1.tar.gz.sig
https://releases.wikimedia.org/mediawiki/1.33/mediawiki-1.33.1.tar.gz.sig
https://releases.wikimedia.org/mediawiki/1.33/mediawiki-1.33.1.patch.gz.sig

Public keys:
https://www.mediawiki.org/keys/keys.html

Event Timeline

Reedy created this task.Jun 5 2019, 9:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2019, 9:22 PM
Reedy renamed this task from Write release announcements for 1.31.3/1.32.3/1.33.1 to Write release announcements for MediaWiki 1.31.3/1.32.3/1.33.1.Jun 5 2019, 9:22 PM
Reedy added a project: MediaWiki-Releasing.
Reedy renamed this task from Write release announcements for MediaWiki 1.31.3/1.32.3/1.33.1 to Write and send release announcements for MediaWiki 1.31.3/1.32.3/1.33.1.Jun 6 2019, 3:47 PM
Reedy updated the task description. (Show Details)
Reedy renamed this task from Write and send release announcements for MediaWiki 1.31.3/1.32.3/1.33.1 to Write and send release announcements for MediaWiki 1.31.4/1.32.4/1.33.1.Jul 2 2019, 2:57 PM
Reedy updated the task description. (Show Details)Sep 21 2019, 9:45 PM
Reedy updated the task description. (Show Details)
Reedy updated the task description. (Show Details)Sep 21 2019, 10:00 PM
Reedy updated the task description. (Show Details)Oct 7 2019, 4:56 PM
Reedy updated the task description. (Show Details)Oct 7 2019, 6:40 PM
Reedy updated the task description. (Show Details)Oct 7 2019, 6:55 PM
Reedy closed this task as Resolved.Oct 7 2019, 6:57 PM
Reedy claimed this task.
Reedy changed the visibility from "Custom Policy" to "Public (No Login Required)".